# -*- encoding: utf-8 -*-
# stub: scoped_search 4.1.6 ruby lib

Gem::Specification.new do |s|
  s.name = "scoped_search".freeze
  s.version = "4.1.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Amos Benari".freeze, "Willem van Bergen".freeze, "Wes Hays".freeze]
  s.date = "2018-11-21"
  s.description = "    Scoped search makes it easy to search your ActiveRecord-based models.\n\n    It will create a named scope :search_for that can be called with a query string. It will build an SQL query using\n    the provided query string and a definition that specifies on what fields to search. Because the functionality is\n    built on named_scope, the result of the search_for call can be used like any other named_scope, so it can be\n    chained with another scope or combined with will_paginate.\n\n    Because it uses standard SQL, it does not require any setup, indexers or daemons. This makes scoped_search\n    suitable to quickly add basic search functionality to your application with little hassle. On the other hand,\n    it may not be the best choice if it is going to be used on very large datasets or by a large user base.\n".freeze
  s.email = ["abenari@redhat.com".freeze, "willem@railsdoctors.com".freeze, "weshays@gbdev.com".freeze]
  s.extra_rdoc_files = ["README.rdoc".freeze, "CHANGELOG.rdoc".freeze, "CONTRIBUTING.rdoc".freeze, "LICENSE".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "CHANGELOG.rdoc".freeze, "CONTRIBUTING.rdoc".freeze, "Gemfile".freeze, "Gemfile.activerecord42".freeze, "Gemfile.activerecord50".freeze, "Gemfile.activerecord51".freeze, "LICENSE".freeze, "README.rdoc".freeze, "Rakefile".freeze, "app/assets/images/spinner.gif".freeze, "app/assets/javascripts/scoped_search.js".freeze, "app/assets/stylesheets/scoped_search.scss".freeze, "lib/scoped_search.rb".freeze, "lib/scoped_search/auto_complete_builder.rb".freeze, "lib/scoped_search/compass.rb".freeze, "lib/scoped_search/definition.rb".freeze, "lib/scoped_search/engine.rb".freeze, "lib/scoped_search/query_builder.rb".freeze, "lib/scoped_search/query_language.rb".freeze, "lib/scoped_search/query_language/ast.rb".freeze, "lib/scoped_search/query_language/parser.rb".freeze, "lib/scoped_search/query_language/tokenizer.rb".freeze, "lib/scoped_search/rails_helper.rb".freeze, "lib/scoped_search/railtie.rb".freeze, "lib/scoped_search/validators.rb".freeze, "lib/scoped_search/version.rb".freeze, "scoped_search.gemspec".freeze, "spec/database.jruby.yml".freeze, "spec/database.ruby.yml".freeze, "spec/integration/api_spec.rb".freeze, "spec/integration/auto_complete_spec.rb".freeze, "spec/integration/ext_method_spec.rb".freeze, "spec/integration/key_value_querying_spec.rb".freeze, "spec/integration/ordinal_querying_spec.rb".freeze, "spec/integration/profile_querying_spec.rb".freeze, "spec/integration/rails_helper_spec.rb".freeze, "spec/integration/relation_querying_spec.rb".freeze, "spec/integration/scope_spec.rb".freeze, "spec/integration/set_query_spec.rb".freeze, "spec/integration/sti_querying_spec.rb".freeze, "spec/integration/string_querying_spec.rb".freeze, "spec/integration/uuid_query_spec.rb".freeze, "spec/lib/database.rb".freeze, "spec/lib/matchers.rb".freeze, "spec/lib/mocks.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/ast_spec.rb".freeze, "spec/unit/auto_complete_builder_spec.rb".freeze, "spec/unit/definition_spec.rb".freeze, "spec/unit/parser_spec.rb".freeze, "spec/unit/query_builder_spec.rb".freeze, "spec/unit/tokenizer_spec.rb".freeze, "spec/unit/validators_spec.rb".freeze]
  s.homepage = "https://github.com/wvanbergen/scoped_search/wiki".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--title".freeze, "scoped_search".freeze, "--main".freeze, "README.rdoc".freeze, "--line-numbers".freeze, "--inline-source".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "2.7.3".freeze
  s.summary = "Easily search you ActiveRecord models with a simple query language using a named scope".freeze
  s.test_files = ["spec/database.jruby.yml".freeze, "spec/database.ruby.yml".freeze, "spec/integration/api_spec.rb".freeze, "spec/integration/auto_complete_spec.rb".freeze, "spec/integration/ext_method_spec.rb".freeze, "spec/integration/key_value_querying_spec.rb".freeze, "spec/integration/ordinal_querying_spec.rb".freeze, "spec/integration/profile_querying_spec.rb".freeze, "spec/integration/rails_helper_spec.rb".freeze, "spec/integration/relation_querying_spec.rb".freeze, "spec/integration/scope_spec.rb".freeze, "spec/integration/set_query_spec.rb".freeze, "spec/integration/sti_querying_spec.rb".freeze, "spec/integration/string_querying_spec.rb".freeze, "spec/integration/uuid_query_spec.rb".freeze, "spec/lib/database.rb".freeze, "spec/lib/matchers.rb".freeze, "spec/lib/mocks.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/ast_spec.rb".freeze, "spec/unit/auto_complete_builder_spec.rb".freeze, "spec/unit/definition_spec.rb".freeze, "spec/unit/parser_spec.rb".freeze, "spec/unit/query_builder_spec.rb".freeze, "spec/unit/tokenizer_spec.rb".freeze, "spec/unit/validators_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activerecord>.freeze, [">= 4.2.0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    else
      s.add_dependency(%q<activerecord>.freeze, [">= 4.2.0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<activerecord>.freeze, [">= 4.2.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
  end
end

